## wxwidgets3.2 3.2.4+dfsg

=== CMakeLists.txt ===
#############################################################################
# Name:        CMakeLists.txt
# Purpose:     Primary CMake for wxWidgets
# Author:      Tobias Taschner
# Created:     2016-09-20
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

cmake_minimum_required(VERSION 3.0)

if(NOT CMAKE_CONFIGURATION_TYPES)
    get_property(HAVE_MULTI_CONFIG_GENERATOR GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
    # Set default configuration types for multi-config generators
    if(HAVE_MULTI_CONFIG_GENERATOR)
        set(CMAKE_CONFIGURATION_TYPES "Debug;Release")
    endif()
endif()

file(TO_CMAKE_PATH "${CMAKE_INSTALL_PREFIX}" CMAKE_INSTALL_PREFIX)

# https://blog.kitware.com/cmake-and-the-default-build-type/
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(default_build_type "Debug")
    message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
    set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE STRING "Choose the type of build." FORCE)
    # Set the possible values of build type for cmake-gui
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release")
endif()

# This block, particularly the versions used, should be kept in sync with
# samples/minimal/CMakeLists.txt.
if(APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
    # If no deployment target has been set default to the minimum supported
    # OS version (this has to be set before the first project() call)
    if(CMAKE_SYSTEM_NAME STREQUAL "iOS")
        set(CMAKE_OSX_DEPLOYMENT_TARGET 12.0 CACHE STRING "iOS Deployment Target")
    else()
        set(CMAKE_OSX_DEPLOYMENT_TARGET 10.10 CACHE STRING "macOS Deployment Target")
    endif()
endif()

include(build/cmake/policies.cmake NO_POLICY_SCOPE)

# Initialize variables for quick access to wx root dir in sub dirs
set(wxSOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(wxBINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})
set(wxOUTPUT_DIR ${wxBINARY_DIR}/lib)

# parse the version number from wx/version.h and include in wxMAJOR_VERSION and wxMINOR_VERSION
file(READ "${wxSOURCE_DIR}/include/wx/version.h" WX_VERSION_H_CONTENTS)
string(REGEX MATCH "wxMAJOR_VERSION[ \t]+([0-9]+)"
    wxMAJOR_VERSION ${WX_VERSION_H_CONTENTS})
string (REGEX MATCH "([0-9]+)"
    wxMAJOR_VERSION ${wxMAJOR_VERSION})
string(REGEX MATCH "wxMINOR_VERSION[ \t]+([0-9]+)"
    wxMINOR_VERSION ${WX_VERSION_H_CONTENTS})
string (REGEX MATCH "([0-9]+)"
    wxMINOR_VERSION ${wxMINOR_VERSION})
string(REGEX MATCH "wxRELEASE_NUMBER[ \t]+([0-9]+)"
    wxRELEASE_NUMBER ${WX_VERSION_H_CONTENTS})
string (REGEX MATCH "([0-9]+)"
    wxRELEASE_NUMBER ${wxRELEASE_NUMBER})

# Determine if current version is a "Development" release
math(EXPR rel_dev "${wxMINOR_VERSION} % 2")
if(rel_dev)
    set(wxVERSION_IS_DEV TRUE)
else()
    set(wxVERSION_IS_DEV FALSE)
endif()

# parse the .so version from build/bakefiles/version.bkl
file(READ "${wxSOURCE_DIR}/build/bakefiles/version.bkl" WX_VERSION_BKL_CONTENTS)
string(REGEX MATCH "WX_CURRENT.>([0-9]+)"
    WX_CURRENT ${WX_VERSION_BKL_CONTENTS})
string(REGEX MATCH "([0-9]+)"
    WX_CURRENT ${WX_CURRENT})
string(REGEX MATCH "WX_REVISION.>([0-9]+)"
    WX_REVISION ${WX_VERSION_BKL_CONTENTS})
string(REGEX MATCH "([0-9]+)"
    WX_REVISION ${WX_REVISION})
string(REGEX MATCH "WX_AGE.>([0-9]+)"
    WX_AGE ${WX_VERSION_BKL_CONTENTS})
string(REGEX MATCH "([0-9]+)"
    WX_AGE ${WX_AGE})
math(EXPR wxSOVERSION_MAJOR "${WX_CURRENT} - ${WX_AGE}")
set(wxSOVERSION ${wxSOVERSION_MAJOR}.${WX_AGE}.${WX_REVISION})

set(wxVERSION ${wxMAJOR_VERSION}.${wxMINOR_VERSION}.${wxRELEASE_NUMBER})
set(wxCOPYRIGHT "2002-2023 wxWidgets")

set(wxLANGUAGES C CXX)
if(APPLE AND NOT CMAKE_VERSION VERSION_LESS "3.16")
    list(APPEND wxLANGUAGES OBJCXX)
endif()

project(wxWidgets VERSION ${wxVERSION} LANGUAGES ${wxLANGUAGES})

include(build/cmake/main.cmake)

# Set the default startup project for Visual Studio
if(wxBUILD_SAMPLES AND wxUSE_GUI)
    set_directory_properties(PROPERTIES VS_STARTUP_PROJECT minimal)
endif()

=== build/cmake/utils/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/utils/CMakeLists.txt
# Purpose:     CMake script for utilities
# Author:      Tobias Taschner
# Created:     2016-10-21
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

if(wxUSE_XRC)
    add_executable(wxrc "${wxSOURCE_DIR}/utils/wxrc/wxrc.cpp")
    wx_set_common_target_properties(wxrc)
    if(wxUSE_XML)
        wx_exe_link_libraries(wxrc wxxml)
    endif()
    wx_exe_link_libraries(wxrc wxbase)

    set(wxrc_output_name "wxrc")
    if(NOT WIN32_MSVC_NAMING)
        wx_get_flavour(lib_flavour "-")
        set(wxrc_output_name "wxrc-${wxMAJOR_VERSION}.${wxMINOR_VERSION}${lib_flavour}")
    endif()

    set_target_properties(wxrc PROPERTIES OUTPUT_NAME ${wxrc_output_name})

    set_target_properties(wxrc PROPERTIES FOLDER "Utilities")

    wx_install(TARGETS wxrc
        RUNTIME DESTINATION "bin"
        BUNDLE DESTINATION "bin"
        )

    if(NOT WIN32_MSVC_NAMING AND wxBUILD_INSTALL)
        if(IPHONE)
            set(EXE_SUFFIX ".app")
        else()
            set(EXE_SUFFIX ${CMAKE_EXECUTABLE_SUFFIX})
        endif()

        # Don't use wx_install() here to preserve escaping.
        install(CODE "execute_process( \
            COMMAND ${CMAKE_COMMAND} -E create_symlink \
            \"${CMAKE_INSTALL_PREFIX}/bin/${wxrc_output_name}${EXE_SUFFIX}\" \
            \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/bin/wxrc${EXE_SUFFIX}\" \
            )"
        )
    endif()
endif()

# TODO: build targets for other utils

=== debian/changelog ===
wxwidgets3.2 (3.2.4+dfsg-3) unstable; urgency=medium

  * Fix FTBFS w/ WebKitGTK 2.43 (Closes: #1060835)

 -- Scott Talbert <swt@techie.net>  Sun, 04 Feb 2024 11:57:41 -0500

wxwidgets3.2 (3.2.4+dfsg-2) unstable; urgency=medium

  * Enable wxLZMAInputStream (Closes: #1060313)

 -- Scott Talbert <swt@techie.net>  Tue, 09 Jan 2024 18:58:08 -0500

wxwidgets3.2 (3.2.4+dfsg-1) unstable; urgency=medium

  * Update to new upstream release 3.2.4

 -- Scott Talbert <swt@techie.net>  Mon, 13 Nov 2023 20:30:30 -0500

wxwidgets3.2 (3.2.3+dfsg-3) unstable; urgency=medium

  * Use httpbin to avoid network during tests (Closes: #1055060)
  * Fix GUI test filter after 3.2.3+dfsg-1 changes

 -- Scott Talbert <swt@techie.net>  Mon, 30 Oct 2023 20:08:17 -0400

wxwidgets3.2 (3.2.3+dfsg-2) unstable; urgency=medium

  * Enable wxWebRequest support

 -- Scott Talbert <swt@techie.net>  Thu, 26 Oct 2023 19:57:55 -0400

wxwidgets3.2 (3.2.3+dfsg-1) unstable; urgency=medium

  * Update to new upstream release 3.2.3
  * Switch to build with libwebkit2gtk-4.1-dev (libsoup3)
  * Adjust skipped tests for new release

 -- Scott Talbert <swt@techie.net>  Mon, 16 Oct 2023 19:08:14 -0400

=== debian/control ===
Source: wxwidgets3.2
Section: libs
Priority: optional
Build-Depends-Indep: doxygen,
                     graphviz,
Build-Depends: ca-certificates <!nocheck>,
               debhelper-compat (= 13),
               gettext,
               libcurl4-openssl-dev,
               libexpat1-dev,
               libgl-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-bad1.0-dev,
               libgtk-3-dev,
               libjpeg-dev,
               liblzma-dev,
               libnotify-dev,
               libpng-dev,
               libsm-dev,
               libtiff-dev,
               libwebkit2gtk-4.1-dev,
               libxt-dev,
               locales-all <!nocheck>,
               python3-httpbin <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
Uploaders: Olly Betts <olly@survex.com>,
           Scott Talbert <swt@techie.net>,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/freewx-team/wxwidgets3.2.git
Vcs-Browser: https://salsa.debian.org/freewx-team/wxwidgets3.2
Homepage: https://www.wxwidgets.org/
Rules-Requires-Root: no

Package: libwxbase3.2-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Breaks: libwxbase3.2-0
Replaces: libwxbase3.2-0
Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk3.2 for use in console apps and daemons.  You do not need
 this package to build or use wxWidgets GUI apps.

Package: libwxgtk3.2-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Breaks: libwxgtk3.2-0
Replaces: libwxgtk3.2-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk3.2-dev
Architecture: any
Section: libdevel
Depends: libgl-dev,
         libglu1-mesa-dev,
         libwxbase3.2-1 (= ${binary:Version}),
         libwxgtk-gl3.2-1 (= ${binary:Version}),
         libwxgtk3.2-1 (= ${binary:Version}),
         wx-common,
         wx3.2-headers (= ${source:Version}),
         ${misc:Depends},
Multi-Arch: same
Suggests: gettext,
          wx3.2-doc,
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.
 .
 This package also provides the wx-config script.

Package: libwxgtk-gl3.2-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Breaks: libwxgtk3.2-0
Replaces: libwxgtk3.2-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 gl library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk3u_gl.

Package: libwxgtk-media3.2-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Breaks: libwxgtk-media3.2-0
Replaces: libwxgtk-media3.2-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk3u_media.

Package: libwxgtk-media3.2-dev
Architecture: any
Section: libdevel
Depends: libwxgtk-media3.2-1 (= ${binary:Version}),
         libwxgtk3.2-dev (= ${binary:Version}),
         wx-common,
         wx3.2-headers (= ${source:Version}),
         ${misc:Depends},
Multi-Arch: same
Suggests: gettext,
          wx3.2-doc,
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxMediaCtrl class.

Package: libwxgtk-webview3.2-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Breaks: libwxgtk-webview3.2-0
Replaces: libwxgtk-webview3.2-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk3u_webview.

Package: libwxgtk-webview3.2-dev
Architecture: any
Section: libdevel
Depends: libwxgtk-webview3.2-1 (= ${binary:Version}),
         libwxgtk3.2-dev (= ${binary:Version}),
         wx-common,
         wx3.2-headers (= ${source:Version}),
         ${misc:Depends},
Multi-Arch: same
Suggests: gettext,
          wx3.2-doc,
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxWebView class.

Package: wx-common
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: zip,
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx3.2-headers
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends},
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx3.2-i18n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Provides: wx-i18n,
Section: localization
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx3.2-examples
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends},
Suggests: libwxgtk3.2-dev,
          wx3.2-doc,
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package contains examples of using the wxWidgets toolkit in
 C++.

Package: wx3.2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: doxygen-awesome-css,
         ${misc:Depends},
Suggests: doc-base,
          www-browser,
Description: wxWidgets Cross-platform C++ GUI toolkit (documentation)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a HTML version of the wxWidgets reference manual.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildopts.mk

TEST_FILTER = ~[.]
TEST_GUI_FILTER = ~[.]
ifneq (,$(filter $(DEB_HOST_ARCH), alpha loong64 mips64el riscv64 s390x))
TEST_FILTER += ~[special-file]
endif
ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa mips64el ppc64 riscv64 s390x sparc64 x32))
TEST_GUI_FILTER += ~WebView
endif
ifneq (,$(filter $(DEB_HOST_ARCH), i386))
TEST_GUI_FILTER += ~wxImage::ChangeColours
endif
# These are failing intermittently (font size related?)
TEST_GUI_FILTER += ~wxDC::GetPartialTextExtent ~TextCtrlTestCase

%:
	dh $@

override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure -- \
		GREP=/bin/grep \
		--disable-glcanvasegl \
		--with-liblzma \
		--enable-repro-build

override_dh_auto_install:
	dh_auto_install
	sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" debian/libwxgtk3.2-dev.alternatives.in > debian/libwxgtk3.2-dev.alternatives
	mv debian/tmp/usr/bin/wxrc-3.2 debian/tmp/usr/bin/wxrc

override_dh_install:
	dh_install
	rm -f debian/libwxgtk3.2-1/usr/lib/*/libwx_gtk*gl*.so.*
	rm -f debian/libwxgtk3.2-1/usr/lib/*/libwx_gtk*media*.so.*
	rm -f debian/libwxgtk3.2-1/usr/lib/*/libwx_gtk*webview*.so.*
	rm -f debian/libwxgtk3.2-dev/usr/lib/*/libwx_gtk*media*.so
	rm -f debian/libwxgtk3.2-dev/usr/lib/*/libwx_gtk*webview*.so

override_dh_installdocs-indep:
	WX_SKIP_DOXYGEN_VERSION_CHECK=1	docs/doxygen/regen.sh html
	dh_installdocs
	find debian/wx3.2-doc \( -name '*.dot' -o -name '*.md5' \) -delete

override_dh_installexamples-indep:
	dh_installexamples

	for f in `find debian/wx3.2-examples -name makefile.unx` ; do \
		mv $$f `dirname $$f`/Makefile ; \
	done

	# don't install files from the examples which are only useful on other
	# platforms (the "horse*" files are a special case, as the image sample
	# uses various foreign image formats as data).
	find debian/wx3.2-examples \( \
		-name 'Makefile.in' -o \
		-name 'Info*.plist*' -o \
		-name 'makefile.*' -o \
		-name '*.bat' -o \
		-name '*.bdsproj' -o \
		-name '*.cur' -o \
		-name '*.dsp' -o \
		-name '*.dsw' -o \
		-name '*.icc' -o \
		-name '*.icns' -o \
		-name '*.ico' -o \
		-name '*.mms' -o \
		-name '*.pbxproj' -o \
		-name '*.plc' -o \
		-name '*.r' -o \
		-name '*.rc' -o \
		-name '*.rc?' -o \
		-name '*.vcproj' \
	    \) \! -name 'horse*' -delete

	# We end up with some empty directories which only had OS X build stuff
	# in, at least in 3.0.2.
	find debian/wx3.2-examples -type d -empty -delete

override_dh_auto_test: HOME=$(CURDIR)/debian/.debhelper/generated/_source/home
override_dh_auto_test:
	make -j$(DEB_BUILD_OPTION_PARALLEL) -C tests
	python3 -m httpbin.core & export HTTPBIN_PID=$$!; RC=0; cd tests && WX_TEST_WEBREQUEST_URL="http://localhost:5000" ./test $(TEST_FILTER) || RC=1; kill -9 $${HTTPBIN_PID}; exit $$RC
	cd tests && wxUSE_XVFB=1 xvfb-run -a ./test_gui $(TEST_GUI_FILTER)

override_dh_auto_clean:
	dh_auto_clean
	[ -f tests/Makefile ] && make -j$(DEB_BUILD_OPTION_PARALLEL) -C tests distclean || true
	find demos -name Makefile -delete
	find samples -name Makefile -delete
	find tests -name Makefile -delete
	find utils -name Makefile -delete

## wxwidgets3.2 3.2.5+dfsg

=== debian/changelog ===
wxwidgets3.2 (3.2.5+dfsg-1) unstable; urgency=medium

  * Update to new upstream release 3.2.5

 -- Scott Talbert <swt@techie.net>  Sun, 19 May 2024 21:51:41 -0400

wxwidgets3.2 (3.2.4+dfsg-5) unstable; urgency=medium

  * Skip WebView tests on loong64 (Closes: #1066962)

 -- Scott Talbert <swt@techie.net>  Tue, 26 Mar 2024 20:38:08 -0400

wxwidgets3.2 (3.2.4+dfsg-4) unstable; urgency=medium

  * Remove unmaintained shlibs file (Closes: #1060711)
  * Fix lintian overrides after t64 changes
  * Add some more lintian overrides
  * Mark patches as not needing forwarding

 -- Scott Talbert <swt@techie.net>  Thu, 21 Mar 2024 22:35:57 -0400

wxwidgets3.2 (3.2.4+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063244

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 06:04:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends-Indep: doxygen,
                      graphviz,
-Build-Depends: ca-certificates <!nocheck>,
+Build-Depends: dpkg-dev (>= 1.22.5), ca-certificates <!nocheck>,
                debhelper-compat (= 13),
                gettext,
                libcurl4-openssl-dev,
@@ -34,14 +34,15 @@
 Homepage: https://www.wxwidgets.org/
 Rules-Requires-Root: no
 
-Package: libwxbase3.2-1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
-Breaks: libwxbase3.2-0
-Replaces: libwxbase3.2-0
+Package: libwxbase3.2-1t64
+Provides: ${t64:Provides}
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxbase3.2-1 (<< ${source:Version}), libwxbase3.2-0
+Replaces: libwxbase3.2-1, libwxbase3.2-0
 Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
  wxBase is a collection of C++ classes providing basic data structures
  (strings, lists, arrays), powerful wxDateTime class for date manipulations,
@@ -56,14 +57,15 @@
  classes in libwx_gtk3.2 for use in console apps and daemons.  You do not need
  this package to build or use wxWidgets GUI apps.
 
-Package: libwxgtk3.2-1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
-Breaks: libwxgtk3.2-0
-Replaces: libwxgtk3.2-0
+Package: libwxgtk3.2-1t64
+Provides: ${t64:Provides}
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk3.2-1 (<< ${source:Version}), libwxgtk3.2-0
+Replaces: libwxgtk3.2-1, libwxgtk3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -78,9 +80,9 @@
 Section: libdevel
 Depends: libgl-dev,
          libglu1-mesa-dev,
-         libwxbase3.2-1 (= ${binary:Version}),
-         libwxgtk-gl3.2-1 (= ${binary:Version}),
-         libwxgtk3.2-1 (= ${binary:Version}),
+         libwxbase3.2-1t64 (= ${binary:Version}),
+         libwxgtk-gl3.2-1t64 (= ${binary:Version}),
+         libwxgtk3.2-1t64 (= ${binary:Version}),
          wx-common,
          wx3.2-headers (= ${source:Version}),
          ${misc:Depends},
@@ -98,14 +100,15 @@
  .
  This package also provides the wx-config script.
 
-Package: libwxgtk-gl3.2-1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
-Breaks: libwxgtk3.2-0
-Replaces: libwxgtk3.2-0
+Package: libwxgtk-gl3.2-1t64
+Provides: ${t64:Provides}
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk-gl3.2-1 (<< ${source:Version}), libwxgtk3.2-0
+Replaces: libwxgtk-gl3.2-1, libwxgtk3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 gl library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -114,14 +117,15 @@
  This package provides the media shared libraries needed to run programs linked
  against libwx_gtk3u_gl.
 
-Package: libwxgtk-media3.2-1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
-Breaks: libwxgtk-media3.2-0
-Replaces: libwxgtk-media3.2-0
+Package: libwxgtk-media3.2-1t64
+Provides: ${t64:Provides}
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk-media3.2-1 (<< ${source:Version}), libwxgtk-media3.2-0
+Replaces: libwxgtk-media3.2-1, libwxgtk-media3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -133,7 +137,7 @@
 Package: libwxgtk-media3.2-dev
 Architecture: any
 Section: libdevel
-Depends: libwxgtk-media3.2-1 (= ${binary:Version}),
+Depends: libwxgtk-media3.2-1t64 (= ${binary:Version}),
          libwxgtk3.2-dev (= ${binary:Version}),
          wx-common,
          wx3.2-headers (= ${source:Version}),
@@ -149,14 +153,15 @@
  This package provides files needed to compile wxWidgets programs using the
  wxMediaCtrl class.
 
-Package: libwxgtk-webview3.2-1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
-Breaks: libwxgtk-webview3.2-0
-Replaces: libwxgtk-webview3.2-0
+Package: libwxgtk-webview3.2-1t64
+Provides: ${t64:Provides}
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk-webview3.2-1 (<< ${source:Version}), libwxgtk-webview3.2-0
+Replaces: libwxgtk-webview3.2-1, libwxgtk-webview3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -168,7 +173,7 @@
 Package: libwxgtk-webview3.2-dev
 Architecture: any
 Section: libdevel
-Depends: libwxgtk-webview3.2-1 (= ${binary:Version}),
+Depends: libwxgtk-webview3.2-1t64 (= ${binary:Version}),
          libwxgtk3.2-dev (= ${binary:Version}),
          wx-common,
          wx3.2-headers (= ${source:Version}),

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha loong64 mips64el riscv64 s390x))
 TEST_FILTER += ~[special-file]
 endif
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa mips64el ppc64 riscv64 s390x sparc64 x32))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa loong64 mips64el ppc64 riscv64 s390x sparc64 x32))
 TEST_GUI_FILTER += ~WebView
 endif
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
@@ -37,9 +37,9 @@
 
 override_dh_install:
 	dh_install
-	rm -f debian/libwxgtk3.2-1/usr/lib/*/libwx_gtk*gl*.so.*
-	rm -f debian/libwxgtk3.2-1/usr/lib/*/libwx_gtk*media*.so.*
-	rm -f debian/libwxgtk3.2-1/usr/lib/*/libwx_gtk*webview*.so.*
+	rm -f debian/libwxgtk3.2-1t64/usr/lib/*/libwx_gtk*gl*.so.*
+	rm -f debian/libwxgtk3.2-1t64/usr/lib/*/libwx_gtk*media*.so.*
+	rm -f debian/libwxgtk3.2-1t64/usr/lib/*/libwx_gtk*webview*.so.*
 	rm -f debian/libwxgtk3.2-dev/usr/lib/*/libwx_gtk*media*.so
 	rm -f debian/libwxgtk3.2-dev/usr/lib/*/libwx_gtk*webview*.so

## wxwidgets3.2 3.2.6+dfsg

=== locale/Makefile ===
# this is the makefile for generating wxstd.pot message catalog file and
# building lang.mo files from the translated lang.po catalogs

# this makefile may be invoked to build either wxstd.pot or any lang.mo

# Autodetect the languages we support.  Currently this relies on make
# being called with this dir as the cwd, but if we generate this file
# with configure an explicit path should be specified -- RL.

WX_LINGUAS := $(shell ls *.po 2> /dev/null | sed 's/wxstd.pot//g' | sed 's/.po//g')

# the programs we use (TODO: use configure to detect them)
MSGFMT=msgfmt --verbose
MSGMERGE=msgmerge
XGETTEXT=xgettext
XARGS=xargs

# common xgettext args: C++ syntax, use the specified macro names as markers
XGETTEXT_ARGS=-C -k_ -kwxPLURAL:1,2 -kwxGETTEXT_IN_CONTEXT:1c,2 -kwxGETTEXT_IN_CONTEXT_PLURAL:1c,2,3 -kwxTRANSLATE -kwxTRANSLATE_IN_CONTEXT:1c,2 -kwxGetTranslation --add-comments=TRANSLATORS: -j

# implicit rules
%.mo: %.po
	$(MSGFMT) -c -o $@ $<

# a PO file must be updated from wxstd.pot to include new translations
$(foreach lang,$(WX_LINGUAS),$(lang).po): wxstd.pot

%.po:
	if [ -f $@ ]; then $(MSGMERGE) $@ wxstd.pot > $@.new && mv $@.new $@; else cp wxstd.pot $@; fi

wxstd.pot:
	touch $@
	(find ../include -name "*.h"; find ../src -name "*.cpp"; find ../src -name "*.mm") | LC_COLLATE=C sort | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.pot

allpo: force-update
	@-for t in $(WX_LINGUAS); do $(MAKE) $$t.po; done

allmo:
	@for t in $(WX_LINGUAS); do $(MAKE) $$t.mo; done

force-update:
	$(RM) wxstd.pot

check:
	@for t in $(WX_LINGUAS); do \
	    $(MSGFMT) -c -o /dev/null $$t.po 2>/dev/null || echo "$$t.po is BROKEN."; \
	done

# print out the percentage of the translated strings
stats: FORCE
	@for i in $(WX_LINGUAS); do \
		x=`$(MSGFMT) -o /dev/null "$$i.po" 2>&1 | sed -e 's/[,\.]//g' \
			-e 's/\([0-9]\+\) translated messages\?/TR=\1/' \
			-e 's/\([0-9]\+\) fuzzy translations\?/FZ=\1/' \
			-e 's/\([0-9]\+\) untranslated messages\?/UT=\1/'`; \
		TR=0 FZ=0 UT=0; \
		eval $$x; \
		TOTAL=`expr $$TR + $$FZ + $$UT`; \
		echo "$$i.po `expr 100 "*" $$TR / $$TOTAL`% of $$TOTAL strings"; \
	done

FORCE:

.PHONY: allpo allmo force-update percentage FORCE

=== samples/minimal/CMakeLists.txt ===
#############################################################################
# Name:        samples/minimal/CMakeListst.txt
# Purpose:     Sample CMake file to show usage of cmake for wxWidgets users
# Author:      Tobias Taschner
# Created:     2016-10-23
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

#
# This file is just a sample to show using cmake from an application
# If you want to build the minimal and other samples please use the
# wxBUILD_SAMPLES option when using cmake on the library
#

# Declare the minimum required CMake version
cmake_minimum_required(VERSION 2.8.12)

if(APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
    # If no deployment target has been set default to the minimum supported
    # OS version (this has to be set before the first project() call)
    if(CMAKE_SYSTEM_NAME STREQUAL "iOS")
        set(CMAKE_OSX_DEPLOYMENT_TARGET 12.0 CACHE STRING "iOS Deployment Target")
    else()
        set(CMAKE_OSX_DEPLOYMENT_TARGET 10.10 CACHE STRING "macOS Deployment Target")
    endif()
endif()

# Name the project
project(minimal)

# Request the required wxWidgets libs
find_package(wxWidgets 3.2 COMPONENTS core base REQUIRED CONFIG)

# Include the wxWidgets use file to initialize various settings
if(wxWidgets_USE_FILE)
    include(${wxWidgets_USE_FILE})
endif()

# Define a variable containing a list of source files for the project
set(SRC_FILES
    minimal.cpp
    )

if(WIN32)
    # Include a RC file for windows
    list(APPEND SRC_FILES ../sample.rc)
elseif(APPLE)
    # Add an icon for the apple .app file
    list(APPEND SRC_FILES ../../src/osx/carbon/wxmac.icns)
endif()

# Define the build target for the executable
add_executable(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${SRC_FILES})
# Link required libraries to the executable
target_link_libraries(${PROJECT_NAME} ${wxWidgets_LIBRARIES})

if(APPLE)
    set_target_properties(${PROJECT_NAME} PROPERTIES
        RESOURCE "../../src/osx/carbon/wxmac.icns"
        MACOSX_BUNDLE_ICON_FILE wxmac.icns
        MACOSX_BUNDLE_COPYRIGHT "Copyright wxWidgets"
        MACOSX_BUNDLE_GUI_IDENTIFIER "org.wxwidgets.minimal"
        )
endif()

=== debian/changelog ===
wxwidgets3.2 (3.2.6+dfsg-2ubuntu1) plucky; urgency=medium

  * Exclude i386 from httpbin tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Nov 2024 14:26:02 -0500

wxwidgets3.2 (3.2.6+dfsg-2) unstable; urgency=medium

  * Exclude hppa from special-file tests
  * Exclude more arches from httpbin tests

 -- Scott Talbert <swt@techie.net>  Tue, 17 Sep 2024 18:09:16 -0400

wxwidgets3.2 (3.2.6+dfsg-1) unstable; urgency=medium

  * Update to new upstream release 3.2.6
  * Skip httpbin tests on hppa (Closes: #1076046)
  * Update Standards-Version to 4.7.0 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Mon, 16 Sep 2024 23:57:10 -0400

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,15 @@
                libwebkit2gtk-4.1-dev,
                libxt-dev,
                locales-all <!nocheck>,
-               python3-httpbin <!nocheck>,
+               python3-httpbin [!i386 !hppa !sh4 !x32] <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
 Uploaders: Olly Betts <olly@survex.com>,
            Scott Talbert <swt@techie.net>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/freewx-team/wxwidgets3.2.git
 Vcs-Browser: https://salsa.debian.org/freewx-team/wxwidgets3.2
 Homepage: https://www.wxwidgets.org/

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 TEST_FILTER = ~[.]
 TEST_GUI_FILTER = ~[.]
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha loong64 mips64el riscv64 s390x))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa loong64 mips64el riscv64 s390x))
 TEST_FILTER += ~[special-file]
 endif
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa loong64 mips64el ppc64 riscv64 s390x sparc64 x32))
@@ -86,7 +86,11 @@
 override_dh_auto_test: HOME=$(CURDIR)/debian/.debhelper/generated/_source/home
 override_dh_auto_test:
 	make -j$(DEB_BUILD_OPTION_PARALLEL) -C tests
+ifneq (,$(filter $(DEB_HOST_ARCH), i386 hppa sh4 x32))
+	cd tests && WX_TEST_WEBREQUEST_URL=0 ./test $(TEST_FILTER)
+else
 	python3 -m httpbin.core & export HTTPBIN_PID=$$!; RC=0; cd tests && WX_TEST_WEBREQUEST_URL="http://localhost:5000" ./test $(TEST_FILTER) || RC=1; kill -9 $${HTTPBIN_PID}; exit $$RC
+endif
 	cd tests && wxUSE_XVFB=1 xvfb-run -a ./test_gui $(TEST_GUI_FILTER)
 
 override_dh_auto_clean:

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg.*$//,repacksuffix=+dfsg,compression=xz,searchmode=plain \
  https://api.github.com/repos/wxWidgets/wxWidgets/releases?per_page=100 \
  https://github.com/wxWidgets/wxWidgets/releases/download/v([0-9]+\.[0-9]*[02468]\.[0-9.]+)/wxWidgets-[0-9]+\.[0-9]*[02468]\.[0-9.]+\.tar\.bz2
